Bug Hunting Session
Bug 60674 - Provide better access to the selection of custom background colors for slides (page setup menu)
Summary: Provide better access to the selection of custom background colors for slides...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: high enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Area-Fill-Tab
  Show dependency treegraph
 
Reported: 2013-02-11 17:09 UTC by Bastián Díaz
Modified: 2016-10-16 16:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Ideas (175.93 KB, image/png)
2013-02-11 17:09 UTC, Bastián Díaz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bastián Díaz 2013-02-11 17:09:13 UTC
Created attachment 74627 [details]
Ideas

Context: I am part of a small project opensource technology integration in a school of psychology at a local university. Right now is in the process of integration of LibreOffice 4.0 (and the use of ODF in the institution) and the installation of a small server (which will be the basis for the integration of collaborative technologies as sparkleshare). This has me very happy, because it integrates academics, workers and students. Not all use GNU / Linux as the default OS, but some teachers and support this, and this is installed on computers in the classroom (media-handlers).

Despite having a driving medium / medium advanced with the basic programs, I have done some feedbacks LO Impress presentation tool you use every day, and whose experience as end users cite as justification for this error.

Problem Description: More than a "bug" would define it as a "non-bug" because the point is not that something is not working well, just does not work (as expected).

The function to be mentioned, is the selection of a custom color for the slide background. Teachers made ​​me see that the menu is something hidden (menu: slide / Page Setup / background) in which you have to open a menu to choose a color ... and Surprise. You can only choose the colors on the palette of the program. When I mentioned how they could add new colors, they were surprised because they had to make a very long process and that affected the whole suit (compared with the counterpart in MS Office), considering an advanced feature (targeting the home user).

I think they are right. I have managed to create a varied color palette, but if there is one, the menu is not designed to display simple colors (because it's a list!).

From the 3.5 that there is a good color picker, would be a great idea to integrate instances requiring color selection and not necessarily added to the color palette (as it is a selection for that file, nothing else).

Finally, the choice of color for the background of slides could be improved, and that based on the experience of teachers, I say it is very impractical.

They mentioned that usually, rather than using a template, create their own presentations. This is done in a simple, focused on content, using no more than 2 ideas per slide, "representative colors" and good typography, because as presentations with many sheets, and lighten its weight.

For now they have accepted my proposal for the color palette, but that does not mean they are right.

I offer it as an error because it's "core" that could be running (hey, that's just the choice of custom colors, no transparencies, gradients, strokes or dropper for color and Office 2013)

thanks
Comment 1 A (Andy) 2013-03-23 21:35:27 UTC
I would agree, that this would be a very good enhancement, because the current solution is really annoying.  I hope such a function will be integrated soon.  In my view this is an enhancement and therefore I have marked it as enhancement and increased the importance.

@Thorsten: Could this maybe be an issue for you?
Comment 2 Olivier Mengué 2013-06-08 20:25:25 UTC
The same problem also happens for gradients, but worse. At least colors can be edited from Tools/Options, but gradients don't have that.

Is there a meta-bug that lists all the places where colors/gradients can be selected, but not edited?
Comment 3 Björn Michaelsen 2014-01-17 00:43:25 UTC Comment hidden (obsolete)
Comment 4 Yousuf Philips (jay) (retired) 2016-10-16 16:57:02 UTC
This was fixed with bug 94551.